#include <bits/stdc++.h>
using namespace std;
int ucitaj()
{
	int rez=0;
	char ch;
	while(true)
	{
		ch=getchar();
		if (ch<'0' or ch>'9') break;
		rez=rez*10+(ch-'0');
	}
	return rez;
}
int main()
{
	int p,q,r,L,R,pp,pq,pr,s,pom,i;
	s=0;
	p=ucitaj();
	q=ucitaj();
	r=ucitaj();
	L=ucitaj();
	R=ucitaj();
	/*for (i=L;i<=R;i++)
	{
		pp=i/p;
		if (i%p!=0)
		{
			pp++;
		}
		pq=i/q;
		if (i%q!=0)
		{
			pq++;
		}
		pr=i/r;
		if (i%r!=0)
		{
			pr++;
		}
		pom=pp+pq+pr;
		if (pom<=i)
		{
			s++;
		}
	}*/
	if (L<=500)
	{
		if (R<=500)
		{
			for (i=L;i<=R;i++)
   			{
			 	pp=i/p;
				if (i%p!=0)
				{
				   pp++;
			    }
				pq=i/q;
				if (i%q!=0)
				{
				   pq++;
			    }
				pr=i/r;
				if (i%r!=0)
				{
				   pr++;
			    }
				pom=pp+pq+pr;
				if (pom<=i)
				{
				   s++;
			    }
			}
		}
		else
		{
			for (i=L;i<=500;i++)
			{
			 	pp=i/p;
				if (i%p!=0)
				{
				   pp++;
			    }
				pq=i/q;
				if (i%q!=0)
			   {
			   	   pq++;
			   }
			   pr=i/r;
			   if (i%r!=0)
			   {
			   	  pr++;
			   }
			   pom=pp+pq+pr;
			   if (pom<=i)
			   {
			   	  s++;
			   }
		   }
		   s=s+R-500;
		}
	}
	else
	{
		s=R-L;
	}
	printf("%d",s);
}